summaryrefslogtreecommitdiffstats
path: root/network/RSSOwl
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:59:54 +0200
committer David Somero2010-05-13 00:59:54 +0200
commit4e81248ebb6fda6ca3aa4534bcc93f991f471a58 (patch)
tree67e6c13050d0669d2dbdb48f110380a38b3a96d6 /network/RSSOwl
parentc3101689c7f99e9d652aefd4068e23428a17366c (diff)
downloadslackbuilds-4e81248ebb6fda6ca3aa4534bcc93f991f471a58.tar.gz
network/RSSOwl: Added to 13.0 repository
Diffstat (limited to 'network/RSSOwl')
-rw-r--r--network/RSSOwl/README6
-rw-r--r--network/RSSOwl/RSSOwl.SlackBuild81
-rw-r--r--network/RSSOwl/RSSOwl.info10
-rw-r--r--network/RSSOwl/doinst.sh4
-rw-r--r--network/RSSOwl/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/network/RSSOwl/README b/network/RSSOwl/README
new file mode 100644
index 0000000000..8f8660ff9b
--- /dev/null
+++ b/network/RSSOwl/README
@@ -0,0 +1,6 @@
+RSSOwl (eclipse based RSS reader) A News Reader for Everyone. RSSOwl lets
+you gather, organize, update, and store information from any compliant
+source in a convenient, easy to use interface, save selected information in
+various formats for offline viewing and sharing, and much more. RSSOwl is
+open source, licensed under the terms of the Eclipse Public License.
+
diff --git a/network/RSSOwl/RSSOwl.SlackBuild b/network/RSSOwl/RSSOwl.SlackBuild
new file mode 100644
index 0000000000..40d6d7e24a
--- /dev/null
+++ b/network/RSSOwl/RSSOwl.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for RSSOwl
+
+# Written by Vincent Batts, vbatts@hashbangbash.com -2009
+# Maintained by Erik Hanson, erik@slackbuilds.org 2010-
+
+PRGNAM=RSSOwl
+VERSION=${VERSION:-2.0.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ SRC_ARCH="x86_64.zip"
+else
+ LIBDIRSUFFIX=""
+ SRC_ARCH="zip"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf rssowl
+unzip $CWD/rssowl-$VERSION.linux.${SRC_ARCH}
+cd rssowl
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+
+cd /usr/lib${LIBDIRSUFFIX}/$PRGNAM/
+./$PRGNAM
+
+EOF
+chmod +x $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+cp -av * $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/
+
+mkdir -p $PKG/usr/share/pixmaps/
+cp -av icon.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/usr/share/applications/
+cat > $PKG/usr/share/applications/${PRGNAM}.desktop << EOF
+[Desktop Entry]
+Encoding=UTF-8
+Exec=$PRGNAM
+Icon=/usr/share/pixmaps/$PRGNAM.xpm
+Type=Application
+Categories=Application;Network;
+Name=$PRGNAM
+GenericName=RSS News Reader
+MimeType=application/rss+xml
+X-KDE-StartupNotify=true
+EOF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a about* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/RSSOwl/RSSOwl.info b/network/RSSOwl/RSSOwl.info
new file mode 100644
index 0000000000..66822a0883
--- /dev/null
+++ b/network/RSSOwl/RSSOwl.info
@@ -0,0 +1,10 @@
+PRGNAM="RSSOwl"
+VERSION="2.0.3"
+HOMEPAGE="http://www.rssowl.org/"
+DOWNLOAD="http://downloads.sourceforge.net/rssowl/rssowl-2.0.3.linux.zip"
+MD5SUM="c84d78c7e4f458353588e53218f15cb4"
+DOWNLOAD_x86_64="http://downloads.sourceforge.net/rssowl/rssowl-2.0.3.linux.x86_64.zip"
+MD5SUM_x86_64="6bb878dc641447b8f67864d335c81afe"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"
diff --git a/network/RSSOwl/doinst.sh b/network/RSSOwl/doinst.sh
new file mode 100644
index 0000000000..24e4bc11e0
--- /dev/null
+++ b/network/RSSOwl/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
+
diff --git a/network/RSSOwl/slack-desc b/network/RSSOwl/slack-desc
new file mode 100644
index 0000000000..50b4a3d866
--- /dev/null
+++ b/network/RSSOwl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+RSSOwl: RSSOwl (eclipse based RSS, Atom, and News reader)
+RSSOwl:
+RSSOwl: RSSOwl lets you gather, organize, update, and store information
+RSSOwl: from any compliant source in a convenient, easy to use interface,
+RSSOwl: save selected information in various formats for offline viewing
+RSSOwl: and sharing, and much more. RSSOwl is open source,
+RSSOwl: licensed under the terms of the Eclipse Public License.
+RSSOwl:
+RSSOwl:
+RSSOwl: Homepage: http://www.rssowl.org/
+RSSOwl: